extern

 class xelement
   void xelement()
   void xelement(cstring)
   void setName(cstring)
   cstring getName()
   void addAttribute(text, text)
   boolean hasAttribute(cstring)
   cstring getValue(cstring)
   cstring nextName()
   cstring nextValue()
   void inc()
   void begin()
   boolean found()
   void display()
 /class

 class xnode
   int child
   int next
   int parent
   int type
   void set(xelement)
 /class

 class xcomment
   text data
   void set(cstring)
 /class

 class xscript
 /class

 boolean LXImport(constant cstring)
 boolean SaxImport(constant cstring)

 define XmlParser = "LXImport"

 class dom
   static constant int XML
   static constant int XSL
   static constant int SVG
   static constant int XUL
   static constant int LIGHT
   static constant int TREE

   static constant int LIBXML
   static constant int EXPAT

   xcomment comment
   xelement element
   xscript statement

   void dom()
   void dom(cstring)
   void clear()
   void assign(dom)
   void build()
   void build(cstring)
   void addHeader(cstring)
   void addComment(cstring)
   void addAttribute(cstring, cstring)
   void addChild(xelement)
   void addNext(xelement)
   void addChild(xcomment)
   void addNext(xcomment)

   dom  at()
   dom  at(cstring)
   dom  at(cstring, cstring)
   dom  reset()
   dom  begin()
   dom  end()
   dom  dec()
   dom  inc()
   dom  up()
   dom  down()
   boolean found()
   int getIndex()
   void setIndex(int)
   boolean isElement()
   boolean isScript()
   boolean isComment()
   cstring getElementName()

   xnode getNode()
   xelement getElement()
   xscript getScript()
   xcomment getComment()
   cstring getData()
   cstring getValue(cstring)
   void setData(cstring)
   void setValue(cstring, cstring)

   void setChild(xnode)
   void setChild(xelement)
   void setNext(xnode)
   void setNext(xelement)
   void remove()

   int getChild()
   int getNext()

   void dump()
   void display(int = XML)
   void save(cstring, int = XML)
   void append(cstring, int = XML)
   void load(XmlParser, cstring)
   void load(cstring)
   boolean integrate(dom)
   boolean complete(dom)
   text search(cstring)
   text search(cstring, cstring)
   dict toDict(cstring)
 /class

/extern


